Summary:        Building blocks for modern GNOME applications
Name:           libadwaita
Version:        1.3.3
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/1.2/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils gcc intltool libappstream-glib meson vala
BuildRequires:  pkgconfig(gobject-introspection-1.0) pkgconfig(gtk4)

%description
Building blocks for modern GNOME applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    devel
Development files for %{name}.

%prep
%autosetup -n %{name}-%{version}
sed -i "/subdir('doc')/d" meson.build

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/adwaita-1-demo
%{_libdir}/*-1.so.0*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%doc HACKING.md
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*-1.gir
%{_datadir}/vala/vapi/%{name}-1.*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_includedir}/%{name}-1/
%{_libdir}/*-1.so
%{_libdir}/pkgconfig/*-1.pc
%{_metainfodir}/*.metainfo.xml

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 3 2023 Shuo Wang <abushwang@tencent.com> - 1.3.3-1
- update to 1.3.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 1.2.0-1
- initial build
